import { BulkIdResponseDto, BulkIdsDto } from "../dtos/asset-ids.response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { MemoryCreateDto, MemoryResponseDto, MemorySearchDto, MemoryStatisticsResponseDto, MemoryUpdateDto } from "../dtos/memory.dto";
import { MemoryService } from "../services/memory.service";
import { UUIDParamDto } from "../validation";
export declare class MemoryController {
    private service;
    constructor(service: MemoryService);
    searchMemories(auth: AuthDto, dto: MemorySearchDto): Promise<MemoryResponseDto[]>;
    createMemory(auth: AuthDto, dto: MemoryCreateDto): Promise<MemoryResponseDto>;
    memoriesStatistics(auth: AuthDto, dto: MemorySearchDto): Promise<MemoryStatisticsResponseDto>;
    getMemory(auth: AuthDto, { id }: UUIDParamDto): Promise<MemoryResponseDto>;
    updateMemory(auth: AuthDto, { id }: UUIDParamDto, dto: MemoryUpdateDto): Promise<MemoryResponseDto>;
    updateMemoryV3(auth: AuthDto, { id }: UUIDParamDto, dto: MemoryUpdateDto): Promise<MemoryResponseDto>;
    deleteMemory(auth: AuthDto, { id }: UUIDParamDto): Promise<void>;
    addMemoryAssets(auth: AuthDto, { id }: UUIDParamDto, dto: BulkIdsDto): Promise<BulkIdResponseDto[]>;
    removeMemoryAssets(auth: AuthDto, dto: BulkIdsDto, { id }: UUIDParamDto): Promise<BulkIdResponseDto[]>;
}
